Bug 265 - Verify that XlibInt.c buffer crashing problem has been fixed.
Summary: Verify that XlibInt.c buffer crashing problem has been fixed.
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: All All
: highest critical
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 213
  Show dependency treegraph
 
Reported: 2004-03-03 12:51 UTC by Jim Gettys
Modified: 2004-03-28 19:17 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Gettys 2004-03-03 12:51:49 UTC
If you look at XlibInt revision 3.41 in the xlibs modular tree, you'll see a
patch for a very nasty buffering bug that was inserted in XF86 after 4.3 shipped.

Similarly there is a CMS crashing bug fixed in the modular tree.
Specifying any cms color on a command line argument will cause crashes.
Comment 1 Kaleb KEITHLEY 2004-03-03 13:50:08 UTC
XFree86 committed a similar fix in their version 3.37 (4.3.99.5) of XlibInt.c

I'm entering a change to make it more like the fd.o xlibs tree, (but without the
extra pad_bytes_read variable). If it turns out the fix in the xlibs tree is
wrong somehow then both trees will be wrong in essentially the same way.

Comment 2 Jim Gettys 2004-03-03 14:16:20 UTC
We also need to track down the CMS bug fix.

It should be in the xlibs X11 package, and got fixed the same day.

Also, Keith and I stared at the fix carefully for a *long* time;
I recommend picking up our exact fix, which has seen quite a bit of
testing in the intervening months.
Comment 3 Egbert Eich 2004-03-04 05:49:08 UTC
Jim, I would appreaciate if you would attach diffs to make my life a little bit
easier. I have searched all my email. I couldn't come across a bug fix that you
have sent me.
Comment 4 Egbert Eich 2004-03-04 07:42:16 UTC
OK, I will merge to the version that Kaleb checked into the current branch.
Comment 5 Egbert Eich 2004-03-04 10:01:26 UTC
merged in Kaleb's fix.
Comment 6 Egbert Eich 2004-03-25 12:03:00 UTC
As a side note the same problem exists in FSlibInt and may be responsible for the
numerous reports of hangs of the font server.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.